Subject: Re: bug#54562: 28.0.91; Emoji sequence not composed

From: Robert Pluim <[email-masked]>
Date: Sun, 27 Mar 2022 17:10:37 +0200

>>>>> On Sun, 27 Mar 2022 08:32:55 +0800, Po Lu <[email-masked]> said:

    Po> Lars Ingebrigtsen <[email-masked]> writes:
    >> If other applications does composition on the entire block, I guess we
    >> should do the same.  I guess it's this range:
    >>
    >> 20D0..20FF; Combining Diacritical Marks for Symbols
    >>

20e3 is the only one there which is used in an emoji sequence, though.

    >> Could somebody do some testing in some other programs and see what they
    >> do?

    Po> Please tell me what sequences to input in order to test, thanks.

Hereʼs what I tested

20d1 a⃑
20d2 a⃒
20d3 a⃓
20d4 a⃔
20d5 a⃕
20d6 a⃖
20d7 a⃗
20d8 a⃘
20d9 a⃙
20da a⃚
20db a⃛
20dc a⃜
20dd a⃝
20de a⃞
20df a⃟
20e0 a⃠
20e1 a⃡
20e2 a⃢
20e3 a⃣
7⃣
20e4 a⃤
20e5 a⃥
20e6 a⃦
20e7 a⃧
20e8 a⃨
20e9 a⃩
20ea a⃪
20eb a⃫
20ec a⃬
20ed a⃭
20ee a⃮
20ef a⃯
20f0 a⃰
20f1 a⃱
20f2 a⃲
20f3 a⃳
20f4 a⃴
20f5 a⃵
20f6 a⃶
20f7 a⃷
20f8 a⃸
20f9 a⃹
20fa a⃺
20fb a⃻
20fc a⃼
20fd a⃽
20fe a⃾
20ff a⃿

(I think 20f1-20ff are actually codepoint non grata, but I canʼt find
the reference for the moment)

gedit combines some of them, but not others. It does not use the emoji
font for 0037 20e3, though, you need to add fe0f in the middle for
that to happen.

libreoffice combines more, but not the same set as gedit. It does
however render 0037 20e3 with the emoji font.

Screenshots below.

Robert
--